import { HttpException, HttpStatus } from "@nestjs/common";
import { Commodity } from "../../entities/commodities/commodities.model";
import { Country } from "../../entities/countries/country.model";

export class UtilityNotFoundInCountryForCommodityException extends HttpException {
  constructor(utilityId: string, commodity: Commodity, country: Country) {
    super(
      `The requested utility with id ${utilityId} does not render any service for the ${commodity.getName()} commodity in ${country.getName()} `,
      HttpStatus.NOT_FOUND,
    );
  }
}
